<?php		
	$args = array( 
	    'posts_per_page' => 5,
		'meta_query' => array(
                array(
                'key' => 'enjoypress-featured',
                'value' => 'yes'
        	)
    	)
	);  

	// The Query
	$the_query = new WP_Query( $args );

	$i = 1;

	if ( $the_query->have_posts() && (!get_query_var('paged')) ) {	
?>

	<div id="featured-content" class="clear">

	<?php
		while ( $the_query->have_posts() ) : $the_query->the_post();
	?>	

	<?php if ($i == 1) { ?>

	<div class="featured-large hentry clear">
				
			<div class="thumbnail-wrap">
				<a class="thumbnail-link" href="<?php the_permalink(); ?>">					
					<?php 
					if ( has_post_thumbnail() ) {
						the_post_thumbnail('enjoypress_featured_large_thumb');  
					} else {
						echo '<img src="' . esc_url( get_template_directory_uri() ) . '/assets/img/featured-large-thumb.png" alt="" />';
					}
					?>
				</a>					
			</div><!-- .thumbnail-wrap -->

			<div class="entry-header">					
				<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				<div class="entry-meta">
					<span class="entry-category">
						<?php enjoypress_first_category(); ?>
					</span>						
					<span class="entry-date"><?php echo get_the_date(); ?></span>
					<span class="entry-comment"><?php comments_popup_link( __('0 Comment','enjoypress'), __('1 Comment','enjoypress'), __('% Comments','enjoypress'), 'comments-link', __('Comments off','enjoypress')); ?></span>
				</div><!-- .entry-meta -->				
			</div><!-- .entry-header -->	
		
			<div class="entry-summary">
				<?php echo esc_html( wp_trim_words(get_the_excerpt(),'30') ); ?>
				<div class="entry-more">
					<a href="<?php the_permalink(); ?>"><?php esc_html_e('Read full post', 'enjoypress'); ?></a>
				</div>
			</div><!-- .entry-summary -->	

	</div><!-- .featured-large -->			

	<?php } else { ?>

	<?php
		if ($i == 2) {
			echo '<div class="post-small-loop">';
		}
	?>
	<div class="featured-small hentry">

		<?php if ( has_post_thumbnail() ) { ?>
			<a class="thumbnail-link" href="<?php the_permalink(); ?>">
				<div class="thumbnail-wrap">
					<?php 
						the_post_thumbnail('enjoypress_post_thumb');  
					?>
				</div><!-- .thumbnail-wrap -->										
			</a>
		<?php } ?>

		<div class="entry-header">	
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>	
		</div><!-- .entry-header -->		

	</div><!-- .featured-small -->

	<?php echo( $the_query->current_post + 1 === $the_query->post_count ) ? '</div><!-- .post-small-loop -->' : ''; ?>

	<?php

		}
		$i++;
		endwhile;
	?>

	</div><!-- #featured-content -->

<?php
	}
	wp_reset_postdata();	
?>
	